Subject: bug#12489: inconsistent output from 'dd' w/rt stats and suppression.

From: [email-masked]
Date: Sun, 23 Sep 2012 10:33:19 +0200 (CEST)

----- Mail original -----
> De: "Linda Walsh" <[email-masked]>
> À: [email-masked]
> Envoyé: Samedi 22 Septembre 2012 21:09:55
> Objet: bug#12489: inconsistent output from 'dd' w/rt stats and suppression.
> 
> If I have 'dd' running, and want to see stats, the manpage says I can
> send it
> a USR1 signal and it will print "I/O statistics to standard error and
> then resume copying".  I see something like:
>            18335302+0  records  in  18335302+0 records out 9387674624
>            bytes
>               (9.4 GB) copied, 34.6279 seconds, 271 MB/s
> 
> The same I/O statistics are displayed at the end of a 'dd' session:
> 
> 18335302+0 records  in
> 18335302+0 records out
> 9387674624 bytes (9.4 GB) copied, 34.6279 seconds, 271 MB/s
> 
> The man page says I can use the
> "status=noxfer" to suppress transfer statistics".
> 
> But when I use it the number of records transfered into 'dd'
> and out of 'dd' are still displayed.  Suppressed is the
> sum of the bytes transferred in and out, and the time+rate.
> 
> So... it seems status=noxfer isn't fully suppressing the statistics
> but more accurately only suppresses the summary, time and rate
> stats and not the # records transfered in and out.
> 
> Either way... shouldn't it just suppress the whole message,
> or what's the point?  What switch would one use to suppress
> all I/O statistics?
> 
> Thanks,
> Linda
> 
> 
dd if=/dev/zero of=/tmp/foo count=1024 2>/dev/null || echo "dd fail"

Gilles